Package org.apache.lucene.sandbox.facet.labels

# Interface OrdToLabel

All Known Implementing Classes:
  `LongValueFacetCutter`, `RangeOrdToLabel`, `TaxonomyOrdLabelBiMap`

public interface OrdToLabel
Ordinal to label mapping interface.

TODO: move FacetLabel out of taxonomy folder to use it for any facets, not just taxonomy?

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FacetLabel`
  `getLabel(int ordinal)`
  get label of one ord TODO: what do we return when ordinal is not valid? null?
  `FacetLabel[]`
  `getLabels(int[] ordinals)`
  get labels for multiple ords

- ## Method Details

  - ### getLabel

    FacetLabel getLabel(int ordinal) throws IOException
    get label of one ord TODO: what do we return when ordinal is not valid? null?
    Throws:
      `IOException`

  - ### getLabels

    FacetLabel[] getLabels(int[] ordinals) throws IOException
    get labels for multiple ords
    Throws:
      `IOException`